Subject: draft-ietf-ldup-subentry-07.txt

From: "Ed Reed" <[email-masked]>
Date: Thu, 01 Mar 2001 15:53:20 -0700

Please publish this updated internet draft.

Abstract:

This document describes two object classes called ldapSubEntry and inheritableLDAPSubEntry, and a control, ldapSubentriesControl (to control the visibility of entries of type ldapSubEntry) which MUST be used by directory servers claiming support for the features of this document to indicate operations and management related entries in the directory, called LDAP Subentries.  Scope rules are defined for LDAP Subentries.  

To the work groups:

Per discussions in San Diego and on the list, I've removed the provision for a search-filter visibility mechanism.

Per discussions on the list, mechanisms to facilitate propagation of inherited information from servers holding superior administrative areas to servers holding (only) subordinate replication areas is NOT addressed here, but rather are discussed in a private internet draft submission draft-reed-ldup-inheritance-00.txt.  I've been careful NOT to make this internet draft dependent (via reference) to the private draft on inheritance.

Other than that I've cleaned up language, capitalizations, and have strengthened the admonition against deeply nested subentries.

One remaining question for the list - as written (in the abstract, above) support for inheritableLDAPSubEntry is MUST, along with support for the ldapSubentry class and its visibility control.  Should the inheritable class be MAY?  Should it even be removed to its own draft?  If the answer is "it should be a MUST", then I think this draft is ready for last call.

Thank you.

=================
Ed Reed
Reed-Matthews, Inc.
+1 801 796 7065
http://www.Reed-Matthews.COM